FLUSH_DELAYED_WORK(9)

NAME
flush_delayed_work - wait for a dwork to finish executing the last queueing

SYNOPSIS

bool flush_delayed_work(struct delayed_work * dwork);

ARGUMENTS

dwork
    the delayed work to flush

DESCRIPTION

Delayed timer is cancelled and the pending work is queued for immediate execution. Like flush_work, this function only considers the last queueing instance of dwork.

RETURN

true if flush_work waited for the work to finish execution, false if it was already idle.

COPYRIGHT